<?php
/*
Plugin Name: Twitter Tools - Skip FB 
Plugin URI: http://www.hyperborea.org/journal/skipfb/
Description: Remove #fb hashtags used for Facebook's Selective Tweets (previously Selective Twitter Status) app when building Twitter Tools digests. This plugin requires Twitter Tools http://alexking.org/projects/wordpress and requires no configuration.
Version: 1.0
Author: Kelson Vibber
Author URI: http://www.hyperborea.org/journal/
*/

// NOTE: Requires PHP 5 in order to pass a reference to foreach

// ini_set('display_errors', '1'); ini_set('error_reporting', E_ALL);

function ktv_aktt_skip_fb($tweets_to_post) {
	foreach ($tweets_to_post as &$tweet) {
		$tweet->tw_text = preg_replace('/ \#fb\b/','', $tweet->tw_text);
	}
	unset ($tweet);
	return $tweets_to_post;
}
add_filter('aktt_tweets_to_digest_post', 'ktv_aktt_skip_fb');

?>